﻿<%@ Page Title="" Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Default3" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <asp:ScriptManager runat="server"></asp:ScriptManager>
    <asp:UpdatePanel runat="server" ID="up1">
        <ContentTemplate>
            <asp:HiddenField runat="server" ID="autoComp" ClientIDMode="Static" />
            <asp:TextBox runat="server" ID="txt" ClientIDMode="Static"></asp:TextBox>
            <asp:Button ID="btnProcess" runat="server" Text="Read the Data to server" OnClick="btnProcessStrategy_Click" UseSubmitBehavior="false" />
            <asp:ImageButton runat="server" ID="imgModal" OnClick="imgModal_Click" ImageUrl="~/img/estadistica.png" Height="45px" Width="45px" />
            <ej:Grid ID="Grid" runat="server" AllowPaging="True">
                <DataManager URL="Default.aspx/DataSource" Adaptor="UrlAdaptor" />
                <ClientSideEvents ActionComplete="complete" />
                <Columns>
                    <ej:Column Field="actividad" HeaderText="actividad ID" IsPrimaryKey="true" TextAlign="Right" Width="90">
                    </ej:Column>
                    <ej:Column Field="lote" HeaderText="lote" Width="110"></ej:Column>
                    <ej:Column Field="unidad" HeaderText="unidad" Width="110"></ej:Column>
                    <ej:Column Field="tipopago" HeaderText="tipopago" Width="90" />
                    <ej:Column Field="presupuestado1" HeaderText="presupuestado1" Width="110"></ej:Column>
                    <ej:Column Field="ejecutado1" HeaderText="ejecutado1" Width="90" />
                    <ej:Column Field="desviacion1" HeaderText="desviacion1" Width="110"></ej:Column>
                    <ej:Column Field="pdesviacion1" HeaderText="pdesviacion1" Width="90" />
                    <ej:Column Field="presupuestado2" HeaderText="presupuestado2" Width="110"></ej:Column>
                    <ej:Column Field="ejecutado2" HeaderText="ejecutado2" Width="90" />
                    <ej:Column Field="desviacion2" HeaderText="desviacion2" Width="110"></ej:Column>
                    <ej:Column Field="pdesviacion2" HeaderText="pdesviacion2" Width="90" />
                </Columns>
                <EditSettings AllowEditing="True" AllowAdding="True" AllowDeleting="True"></EditSettings>
                <ToolbarSettings ShowToolbar="True" ToolbarItems="add,edit,delete,update,cancel"></ToolbarSettings>
            </ej:Grid>

            <!-- Modal Resumen -->
            <div class="modal fade" id="modal90" tabindex="-1" role="dialog" aria-labelledby="modal1">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header color-modal-header">
                            Modal example
                        </div>
                        <div class="modal-footer">
                            <button type="button" runat="server" class="btn btn-primary" data-dismiss="modal">
                                <asp:Label ID="lblCerrar" runat="server" Text="Cerrar"></asp:Label></button>
                        </div>
                    </div>
                </div>
            </div>

        </ContentTemplate>
    </asp:UpdatePanel>

    <%--<script type="text/javascript">
        function Navigate() {
            var obj = $('#<%= Grid.ClientID %>').data("ejGrid");
            obj.dataSource(ej.DataManager({ url: "Default.aspx/DataSource", adaptor: new ej.UrlAdaptor() }));
        }
       
    </script>--%>



</asp:Content>

