﻿using Syncfusion.JavaScript.DataSources;
using Syncfusion.JavaScript.Web;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Script.Services;
using System.Web.Services;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class Default3 : System.Web.UI.Page
{
    private static List<Orders> order = new List<Orders>();
    public  static Boolean getData = false;
    protected void Page_Load(object sender, EventArgs e)
    {
        if (IsPostBack)
        {
            getData = true;

        }
    }

    [WebMethod]
    [ScriptMethod(ResponseFormat = ResponseFormat.Json)]
    public static object DataSource(int skip, int take)
    {
        if (getData)
        {
            int orderId = 10643;
            int empId = 0;
            for (int i = 1; i < 10000; i++)
            {
                order.Add(new Orders("Actividad actividad " + i.ToString(), "A" + i.ToString(), "R", "Und", 1000 * i, 500 * i, i, i * 2, 1000 * i, 500 * i, i, i * 2));
                orderId += 6;
                empId += 6;
            }

            var db = order;
            var res = db.Skip(skip).Take(take).ToList();
            return new { result = res, count = db.Count };
        }
        else
        {
            var res = new object() { };
            return new { result = res, count = 0 };
        }
    }

    protected void imgModal_Click(object sender, EventArgs e)
    {
        ScriptManager.RegisterClientScriptBlock(this, this.GetType(), "000", "<script>$('#modal90').modal('show');</script>", false);
    }

    protected void btnProcessStrategy_Click(object sender, EventArgs e)
    {
     

    }
    private void BindDataSource()
    {
        if ((List<Orders>)Session["DialogDataSource"] == null)
        {
            int orderId = 10643;
            int empId = 0;
            for (int i = 1; i < 10000; i++)
            {
                order.Add(new Orders("Actividad actividad " + i.ToString(), "A" + i.ToString(), "R", "Und", 1000 * i, 500 * i, i, i * 2, 1000 * i, 500 * i, i, i * 2));
                orderId += 6;
                empId += 6;
            }
        }
        else
        {
            order = (List<Orders>)Session["DialogDataSource"];
        }
        //int value = Convert.ToInt32(this.txt.Text);
        //.Where(w => w.EmployeeID == value)

        this.Grid.DataSource = order.ToList();
        this.Grid.DataBind();
    }

    [Serializable]
    public class Orders
    {
        public Orders()
        {

        }
        public Orders(string actividad, string lote, string tipopago, string unidad, int ejecutado1, int presupuestado1, int pdesviacion1, int desviacion1, int ejecutado2, int presupuestado2, int pdesviacion2, int desviacion2)
        {
            this.actividad = actividad;
            this.lote = lote;
            this.unidad = unidad;
            this.tipopago = tipopago;
            this.presupuestado1 = presupuestado1;
            this.ejecutado1 = ejecutado1;
            this.desviacion1 = desviacion1;
            this.pdesviacion1 = pdesviacion1;
            this.presupuestado2 = presupuestado2;
            this.ejecutado2 = ejecutado2;
            this.desviacion2 = desviacion2;
            this.pdesviacion2 = pdesviacion2;
        }
        public string actividad { get; set; }
        public string lote { get; set; }
        public string unidad { get; set; }
        public string tipopago { get; set; }
        public int presupuestado1 { get; set; }
        public int ejecutado1 { get; set; }
        public int desviacion1 { get; set; }
        public int pdesviacion1 { get; set; }
        public int presupuestado2 { get; set; }
        public int ejecutado2 { get; set; }
        public int desviacion2 { get; set; }
        public int pdesviacion2 { get; set; }
    }
}